ustrtok(3)

NAME
ustrtok - Retrieves tokens from a string. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

char *ustrtok(char *s, const char *set);

DESCRIPTION
This function retrieves tokens from `s' which are delimited by characters from `set'. To initiate the search, pass the string to be searched as `s'. For the remaining tokens, pass NULL instead. Warning: Since ustrtok alters the string it is parsing, you should always copy the string to a temporary buffer before parsing it. Also, this function is not re-entrant (ie. you cannot parse two strings at the same time). Example:
   char *word;
   char string[]="some-words with dashes";
   char *temp = ustrdup(string);
   word = ustrtok(temp, " -");
   while (word) {
      allegro_message("Found `%s'\n", word);
      word = ustrtok(NULL, " -");
   }
   free(temp);

RETURN VALUE
Returns a pointer to the token, or NULL if no more are found.

SEE ALSO
uconvert(3), ustrchr(3), ustrrchr(3), ustrstr(3), ustrpbrk(3), ustrtok_r(3), allegro_message(3), ustrncpy(3), exgui(3)